package Test;
import java.io.*;
import java.util.*;
import javax.servlet.http.*;    
import javax.servlet.*; 
import com.abc.templates.*;

public class Settings implements IForm
{
	public void ProcessRequest( HtmlWriter out, HttpServletRequest req, String sPathInfo )
		throws Exception
	{
		Template template = null;
		try
		{
			template = GuestBook.loader.getTemplate("settings");
			String sMethod = GuestBook.getFunctionName( sPathInfo );
			if( sMethod.compareTo("submit") == 0 )
				submit( template, out, req );
			else
			{
				//we need to set current choice.
				Cookie cook[] = req.getCookies();
				if(( cook == null ) || ( cook.length == 0 ))
					template.getControl("color").setValue( "256");
				else
					template.getControl("color").setValue( cook[0].getValue() );
				template.writeToHtml( out );
			}
		}
		finally
		{
			if( template != null )
				template.destroy();
		}		
	}
	
	private void submit( Template template, HtmlWriter out, HttpServletRequest req )
		throws Exception
	{
		//we do not have any validation
		String color = req.getParameterValues("color")[0];
		Cookie cook = new Cookie("color", color);
		String sServletPath = GuestBook.loader.getSubstitute("ServletPath");
		cook.setPath( sServletPath + "/" );
		out.getResponse().addCookie(cook);
		template.getControl("color").setValue( color );
		template.getControl("saved").setVisible( true );
		out.addSubstitute("color", color);
		template.writeToHtml( out );
	}
}
